Update Your Profile
curl --request POST \
--url http://api.stuut.ai/v1/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_email_sender": "<string>"
}
'import requests
url = "http://api.stuut.ai/v1/profile"
payload = { "default_email_sender": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({default_email_sender: '<string>'})
};
fetch('http://api.stuut.ai/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"object": "<string>",
"organization_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dashboard_settings": {
"thread_emails_sort_order": "asc"
},
"default_email_sender": {
"email": "<string>",
"object": "<string>",
"reply_to": "<string>",
"user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expired_at": "2023-11-07T05:31:56Z",
"is_nylas_connection": true,
"is_nylas_grant_expired": true,
"is_shared": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"provider": "<string>",
"reply_to_name": "<string>",
"signature_html": "<string>"
},
"default_email_sender_id": "<string>",
"enable_adaptive_email_generation": true,
"invited_by_user_id": "<string>",
"is_access_approved": true,
"is_org_admin": true,
"is_support_user": true,
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"onboarding_required": true,
"organization": {
"name": "<string>",
"object": "<string>",
"remittance_inbox": "<string>",
"id": "<string>",
"agent_phone_number": "<string>",
"ar_team_size": "<string>",
"bank_statement_extraction_guidelines": "<string>",
"contact_email_enrichment_enabled": true,
"contact_email_validation_enabled": true,
"contact_enrichment_domains": [
"<string>"
],
"contact_phone_enrichment_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"credit_card_surcharge": true,
"credit_card_surcharge_fixed": 123,
"credit_card_surcharge_percentage": 123,
"crm_software": "<string>",
"customer_support_number": "<string>",
"default_outreach_window_end": "<string>",
"default_outreach_window_start": "<string>",
"display_name": "<string>",
"domains": [
{
"domain": "<string>",
"object": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"email_software": "<string>",
"enterprise_auth_connection_name": "<string>",
"erp_software": "<string>",
"finix_merchant_id": "<string>",
"finix_onboarding_form_id": "<string>",
"finix_platform_application_id": "<string>",
"finix_platform_merchant_id": "<string>",
"inbound_grace_period_days": 123,
"integrations": {
"integration_name": "<string>",
"is_configured": true,
"object": "<string>",
"settings": {},
"id": "<string>",
"api_subdomain": "<string>",
"api_url": "<string>",
"connection_info": null,
"created_at": "2023-11-07T05:31:56Z",
"credentials_expire_at": "2023-11-07T05:31:56Z",
"health": {
"details": null,
"message": null,
"reason": null
},
"identity_info": null,
"integration": {
"display_name": "<string>",
"name": "<string>",
"object": "<string>",
"api_base_url": "<string>",
"api_documentation_url": null,
"api_requires_subdomain": false,
"auth_type": null,
"categories": [],
"color": null,
"connection_guide_url": null,
"connection_instructions": null,
"connection_steps": [
{
"title": "<string>",
"description": null,
"endpoint": null,
"fields": null,
"post_auth": false
}
],
"created_at": "2023-11-07T05:31:56Z",
"description": null,
"is_enabled": true,
"logo": null,
"logo_square": null,
"modified_at": "2023-11-07T05:31:56Z",
"settings": [
{
"key": "<string>",
"choices": null,
"description": null,
"format": "text",
"group": null,
"guide_url": null,
"is_editable": false,
"is_required": true,
"is_select": false,
"label": null,
"post_auth": false,
"requires_load": false
}
],
"short_description": null
},
"is_running_setup": true,
"is_sync_disabled": true,
"is_webhooks_enabled": true,
"models": [
{
"integration_schema_id": "<string>",
"linked_integration_id": "<string>",
"name": "<string>",
"object": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"exclude_rule": {},
"field_mappings": null,
"health": {
"details": null,
"message": null,
"reason": null
},
"is_read_enabled": true,
"is_webhooks_setup": true,
"is_write_enabled": true,
"last_sync": {
"linked_model_id": "<string>",
"object": "<string>",
"run_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"is_initial_sync": true,
"is_one_off": true,
"modified_at": "2023-11-07T05:31:56Z",
"pagination": null,
"run": {
"object": "<string>",
"id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"data": null,
"event_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"output": null,
"remote_id": "<string>",
"stacktrace": "<string>",
"started_at": "2023-11-07T05:31:56Z"
},
"timerange_end": "2023-11-07T05:31:56Z",
"timerange_start": "2023-11-07T05:31:56Z"
},
"last_sync_id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"next_sync_at": "2023-11-07T05:31:56Z",
"sync_requested": true
}
],
"modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner_id": "<string>",
"requires_setup": true,
"username": "<string>",
"webhook_listener_url": "<string>",
"webhook_setup_error": "<string>"
},
"invoices_per_month": "<string>",
"is_auto_send_email_enabled": true,
"is_auto_set_primary_enabled": true,
"is_enterprise_auth_enabled": true,
"is_onboarding_complete": true,
"is_organization_registered": true,
"is_password_auth_enabled": true,
"last_payment_export_at": "2023-11-07T05:31:56Z",
"logo_url": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"outreach_phone_number": "<unknown>",
"parent_org_id": "<string>",
"payment_processing_days_config": {
"ach": 3,
"check": 14,
"other": 14,
"wire": 2
},
"payment_processor": "<string>",
"payment_software": "<string>",
"processes_improving_with_ai": [
"<string>"
],
"ready_for_payments": true,
"stripe_connect_account_id": "<string>"
},
"organizations": "<unknown>",
"profile_picture": "<string>",
"selected": true
}{
"data": {},
"error": "<string>",
"message": "<string>"
}{
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
},
"message": "<string>"
}Profile
Update Your Profile
Update your profile
POST
/
v1
/
profile
Update Your Profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The EmailSender identifier, (e.g. sndr_abc123).
Response
Successful response
Maximum string length:
255Maximum string length:
32Maximum string length:
32Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
32If true, use email revision history to personalize generated emails
Maximum string length:
32Show child attributes
Show child attributes
⌘I
